Pycharm problem z modułem

0

Cześć,
przy ostatnio przerabianym przeze mnie zadaniu z książki miałem problem z jednym modułem. Komenda importująca go wygląda następująco:

from inlist import in_bisect, make_word_list

Gdy zauważyłem, że Pycharm wywala mi błąd i mówi, że nie znalazł tego modułu, to postanowiłem go zainstalować. Podczas poszukiwań nie byłem tylko pewny, który to. Zainstalowałem moduł bisect-b2g oraz inlist. Błąd jednak nie zniknął. Chciałem więc spróbować zainstalować moduł bisector. Tu jednak pojawił się problem, bo moduł ten zażądał nowszej wersji modułu pip. Zaktualizowałem go przez Pycharma. Pycharm pokazał, że jest on teraz w najnowszej wersji. To nie pomogło. Próbowałem zaktualizować go z pomocą konsoli cmd, ale coś nie działą jak powinno. Konsola zwróciła mi:
"Could not find a version that satisfies the requirement upgrade (from versions: )
Not matching distribution found for upgrade
You are using pip version 10.0.1, however version 19.3.1 is availalbe.
You should consider upgrading via the 'python -m pip install -- upgrade pip' command.

Co w takiej sytuacji mam zrobić, żeby rozwiązać ten problem i zaktualizować moduł pip? I przede wszystkim, czy dobrze robię chcąc to zrobić, czy może powinienem zainstalować inny moduł? ;)

0

Google rzuca to, co wygląda jak kod dołączony do ksiązki

0

Zauważyłem, że podobnie dzieje się z modułem inlist pisząc inny kod. Pycharm wyświetla komunikat "Cannot find reference 'in_bisect' in 'inlist' ". To samo z 'make_word_list' w tym module. Próbowałem już ten sam kod wrzucać do nowego pliku i uruchamiać ponownie Pycharm'a, ale nic to nie daje. Co dziwne, na gotowym kodzie z książki problem nie występuje i mogę go uruchomić. Gdy go kopiuję i wklejam w nowy plik, znowu pokazuje błąd.
Czy ktoś wie o co może chodzić i jak temu zaradzić?

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0